angular.module('focaAutorizarHojaRuta')
    .controller('focaAutorizarHojaRutaCtrl', [
        '$scope',
        'focaAutorizarHojaRutaService',
        'focaBotoneraLateralService',
        '$filter',
        'focaModalService',
        function($scope, focaAutorizarHojaRutaService, focaBotoneraLateralService, $filter, focaModalService) {

            $scope.now = Date.now();
            $scope.notasPedido = []

            $scope.fechaDesde = new Date();
            $scope.fechaHasta = new Date();

            focaBotoneraLateralService.showSalir(true);

            var month = $scope.fechaDesde.getMonth() - 1 < 0 ? 12 : $scope.fechaDesde.getMonth() - 1;
            $scope.fechaDesde.setMonth(month);

            focaAutorizarHojaRutaService.getNotasPedido($scope.fechaDesde.toISOString().split('.')[0],
                $scope.fechaHasta.toISOString().split('.')[0]).then(function(res) {
                    $scope.notasPedido = res.data.slice(0, 4);
                });

            $scope.getSeleccionados = function() {
                var seleccionados = $filter('filter')($scope.notasPedido, { checked: true });

                return seleccionados.length;
            }

            $scope.seleccionarTodo = function() {
                $scope.notasPedido.forEach(function (notaPedido) {
                    notaPedido.checked = !$scope.checkedAll;
                });
            }

            $scope.verNotaPedido = function(notaPedido) {
                focaModalService.alert('Vista no disponible');
            };

            $scope.autorizar = function() {
                focaModalService.alert('Vista no disponible');
            };

        }]);
